Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223802 - Radeon DRI hangs the machine with i586 kernel
Summary: Radeon DRI hangs the machine with i586 kernel
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 15:46 UTC by Bastien Nocera
Modified: 2018-04-11 16:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-26 19:10:08 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-01-22 15:46:16 UTC
1. Install a stock FC6 on a Centrino based laptop with a r300 series chipset
2. Verify that anaconda (wrongly) installs the i586 kernel
3. Machine will hang on bootup with DRI enabled.

"Fix" was to add this line to /etc/modprobe.conf:
alias radeon off

DRI and 3D worked great once the i686 kernel was being used.

Comment 1 Matěj Cepl 2007-01-23 16:59:47 UTC

*** This bug has been marked as a duplicate of 211941 ***

Comment 2 Bastien Nocera 2007-01-23 17:32:55 UTC
Matej, I know about the "anaconda picks i586 kernel" bug. That's not the point
of this bug. Rather it is about finding out why Radeon wouldn't work with the
i586 kernel (which it should, really).

Comment 3 Matěj Cepl 2007-01-24 08:09:01 UTC
OK, let's return to standard ways of doing things. Could you please attach to
this bug report your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) as individual uncompressed file attachments using the
bugzilla file attachment link below?

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

Sorry for the confusion.

Comment 5 Adam Jackson 2007-05-26 19:10:08 UTC
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.